/*
 *  ctamc_utility.h
 *  Openssl Engine Cisco Trusted Anchor Module client Device Tests
 *
 *  January, 2014
 *  Copyright 2014 Cisco Systems, Inc. All rights reserved.
 */

#ifndef __CTAMC_UTILITY__H
# define __CTAMC_UTILITY__H
# include <openssl/engine.h>

/*
 * Load engine
 */
int load_ctamc_engine(ENGINE **e);

// Login app to default device
void *ctamc_login(char *app_id, char *password, void **context,
                  void **session_id);

// Logout
void ctamc_logout(void *ctx);

#endif                          // /__CTAMC_UTILITY__H
