#include <stdio.h>
#include <openssl/crypto.h>
#include <openssl/opensslconf.h>

// FIPS_ALGVS_LIB flag is used to create a programatically accessible library from fips_algvs tests
#ifdef FIPS_ALGVS_LIB
#include "fips_algvs_ig95.h"
#endif

#ifndef OPENSSL_FIPS
#include <stdio.h>

int main(int argc, char **argv)
{
    printf("No FIPS ALGVS support\n");
    return 0;
}
#else

#define FIPS_ALGVS

extern int fips_test_ig95_osx();

#include "fips_test_ig95.c"
#endif
