set VECTDIR="C:\temp\00-Cisco-C3M-Intel-3_Aug_2012_SAMPLE_SET\00-Cisco-C3M-Intel-3_Aug_2012_SAMPLE_SET"

echo "Running RSA..."
fips_rsavtest.exe -saltlen 62 "%VECTDIR%\RSA\req\SigVerPSS_186-2.req" "%VECTDIR%\RSA\resp\SigVerPSS_186-2.rsp"
fips_rsastest.exe -saltlen 62 "%VECTDIR%\RSA\req\SigGenPSS_186-2.req" "%VECTDIR%\RSA\resp\SigGenPSS_186-2.rsp"
fips_rsastest.exe -x931 "%VECTDIR%\RSA\req\SigGenRSA_186-2.req" "%VECTDIR%\RSA\resp\SigGenRSA_186-2.rsp"
fips_rsavtest.exe -x931 "%VECTDIR%\RSA\req\SigVerRSA_186-2.req" "%VECTDIR%\RSA\resp\SigVerRSA_186-2.rsp"
fips_rsagtest.exe "%VECTDIR%\RSA\req\KeyGenRSA.req" "%VECTDIR%\RSA\resp\KeyGenRSA.rsp"
fips_rsastest.exe "%VECTDIR%\RSA\req\SigGen15_186-2.req" "%VECTDIR%\RSA\resp\SigGen15_186-2.rsp"
fips_rsavtest.exe "%VECTDIR%\RSA\req\SigVer15_186-2.req" "%VECTDIR%\RSA\resp\SigVer15_186-2.rsp"

echo "Running RNG..."
fips_rngvs.exe vst "%VECTDIR%\RNG\req\ANSI931_AES256VST.req" "%VECTDIR%\RNG\resp\ANSI931_AES256VST.rsp"
fips_rngvs.exe mct "%VECTDIR%\RNG\req\ANSI931_AES192MCT.req" "%VECTDIR%\RNG\resp\ANSI931_AES192MCT.rsp"
fips_rngvs.exe vst "%VECTDIR%\RNG\req\ANSI931_AES128VST.req" "%VECTDIR%\RNG\resp\ANSI931_AES128VST.rsp"
fips_rngvs.exe mct "%VECTDIR%\RNG\req\ANSI931_AES128MCT.req" "%VECTDIR%\RNG\resp\ANSI931_AES128MCT.rsp"
fips_rngvs.exe mct "%VECTDIR%\RNG\req\ANSI931_AES256MCT.req" "%VECTDIR%\RNG\resp\ANSI931_AES256MCT.rsp"
fips_rngvs.exe vst "%VECTDIR%\RNG\req\ANSI931_AES192VST.req" "%VECTDIR%\RNG\resp\ANSI931_AES192VST.rsp"

echo "Running CCM..."
fips_gcmtest.exe -ccm "%VECTDIR%\CCM\req\VNT192.req" "%VECTDIR%\CCM\resp\VNT192.rsp"
fips_gcmtest.exe -ccm "%VECTDIR%\CCM\req\VPT192.req" "%VECTDIR%\CCM\resp\VPT192.rsp"
fips_gcmtest.exe -ccm "%VECTDIR%\CCM\req\VPT128.req" "%VECTDIR%\CCM\resp\VPT128.rsp"
fips_gcmtest.exe -ccm "%VECTDIR%\CCM\req\VNT128.req" "%VECTDIR%\CCM\resp\VNT128.rsp"
fips_gcmtest.exe -ccm "%VECTDIR%\CCM\req\DVPT128.req" "%VECTDIR%\CCM\resp\DVPT128.rsp"
fips_gcmtest.exe -ccm "%VECTDIR%\CCM\req\VTT256.req" "%VECTDIR%\CCM\resp\VTT256.rsp"
fips_gcmtest.exe -ccm "%VECTDIR%\CCM\req\VTT192.req" "%VECTDIR%\CCM\resp\VTT192.rsp"
fips_gcmtest.exe -ccm "%VECTDIR%\CCM\req\DVPT192.req" "%VECTDIR%\CCM\resp\DVPT192.rsp"
fips_gcmtest.exe -ccm "%VECTDIR%\CCM\req\VADT256.req" "%VECTDIR%\CCM\resp\VADT256.rsp"
fips_gcmtest.exe -ccm "%VECTDIR%\CCM\req\VPT256.req" "%VECTDIR%\CCM\resp\VPT256.rsp"
fips_gcmtest.exe -ccm "%VECTDIR%\CCM\req\VADT128.req" "%VECTDIR%\CCM\resp\VADT128.rsp"
fips_gcmtest.exe -ccm "%VECTDIR%\CCM\req\DVPT256.req" "%VECTDIR%\CCM\resp\DVPT256.rsp"
fips_gcmtest.exe -ccm "%VECTDIR%\CCM\req\VTT128.req" "%VECTDIR%\CCM\resp\VTT128.rsp"
fips_gcmtest.exe -ccm "%VECTDIR%\CCM\req\VADT192.req" "%VECTDIR%\CCM\resp\VADT192.rsp"
fips_gcmtest.exe -ccm "%VECTDIR%\CCM\req\VNT256.req" "%VECTDIR%\CCM\resp\VNT256.rsp"

echo "Running DRBG800-90A..."
fips_drbgvs.exe "%VECTDIR%\DRBG800-90A\req\HMAC_DRBG.req" "%VECTDIR%\DRBG800-90A\resp\HMAC_DRBG.rsp"
fips_drbgvs.exe "%VECTDIR%\DRBG800-90A\req\CTR_DRBG.req" "%VECTDIR%\DRBG800-90A\resp\CTR_DRBG.rsp"
fips_drbgvs.exe "%VECTDIR%\DRBG800-90A\req\Hash_DRBG.req" "%VECTDIR%\DRBG800-90A\resp\Hash_DRBG.rsp"
fips_drbgvs.exe "%VECTDIR%\DRBG800-90A\req\Dual_EC_DRBG.req" "%VECTDIR%\DRBG800-90A\resp\Dual_EC_DRBG.rsp"

echo "Running CMAC..."
fips_cmactest.exe -a aes256 -v "%VECTDIR%\CMAC\req\CMACVerAES256.req" "%VECTDIR%\CMAC\resp\CMACVerAES256.rsp"
fips_cmactest.exe -a aes128 -g "%VECTDIR%\CMAC\req\CMACGenAES128.req" "%VECTDIR%\CMAC\resp\CMACGenAES128.rsp"
fips_cmactest.exe -a aes192 -g "%VECTDIR%\CMAC\req\CMACGenAES192.req" "%VECTDIR%\CMAC\resp\CMACGenAES192.rsp"
fips_cmactest.exe -a aes192 -v "%VECTDIR%\CMAC\req\CMACVerAES192.req" "%VECTDIR%\CMAC\resp\CMACVerAES192.rsp"
fips_cmactest.exe -a aes128 -v "%VECTDIR%\CMAC\req\CMACVerAES128.req" "%VECTDIR%\CMAC\resp\CMACVerAES128.rsp"
fips_cmactest.exe -a aes256 -g "%VECTDIR%\CMAC\req\CMACGenAES256.req" "%VECTDIR%\CMAC\resp\CMACGenAES256.rsp"

echo "Running XTS..."
fips_gcmtest.exe -xts "%VECTDIR%\XTS\req\XTSGenAES256.req" "%VECTDIR%\XTS\resp\XTSGenAES256.rsp"
fips_gcmtest.exe -xts "%VECTDIR%\XTS\req\XTSGenAES128.req" "%VECTDIR%\XTS\resp\XTSGenAES128.rsp"

echo "Running AES..."
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB1VarKey128.req" "%VECTDIR%\AES\resp\CFB1VarKey128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB8KeySbox256.req" "%VECTDIR%\AES\resp\CFB8KeySbox256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB8KeySbox192.req" "%VECTDIR%\AES\resp\CFB8KeySbox192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB128KeySbox256.req" "%VECTDIR%\AES\resp\CFB128KeySbox256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB128VarTxt128.req" "%VECTDIR%\AES\resp\CFB128VarTxt128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB1MCT256.req" "%VECTDIR%\AES\resp\CFB1MCT256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\OFBKeySbox192.req" "%VECTDIR%\AES\resp\OFBKeySbox192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB8VarKey256.req" "%VECTDIR%\AES\resp\CFB8VarKey256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB8MMT192.req" "%VECTDIR%\AES\resp\CFB8MMT192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB1GFSbox192.req" "%VECTDIR%\AES\resp\CFB1GFSbox192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB128MCT256.req" "%VECTDIR%\AES\resp\CFB128MCT256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CBCVarKey128.req" "%VECTDIR%\AES\resp\CBCVarKey128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\OFBVarKey192.req" "%VECTDIR%\AES\resp\OFBVarKey192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\OFBKeySbox256.req" "%VECTDIR%\AES\resp\OFBKeySbox256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB128GFSbox128.req" "%VECTDIR%\AES\resp\CFB128GFSbox128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CBCVarTxt256.req" "%VECTDIR%\AES\resp\CBCVarTxt256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB1VarTxt256.req" "%VECTDIR%\AES\resp\CFB1VarTxt256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\ECBMCT128.req" "%VECTDIR%\AES\resp\ECBMCT128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB8MCT128.req" "%VECTDIR%\AES\resp\CFB8MCT128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB1GFSbox256.req" "%VECTDIR%\AES\resp\CFB1GFSbox256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\OFBMCT128.req" "%VECTDIR%\AES\resp\OFBMCT128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB8GFSbox192.req" "%VECTDIR%\AES\resp\CFB8GFSbox192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\ECBGFSbox192.req" "%VECTDIR%\AES\resp\ECBGFSbox192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\OFBMCT192.req" "%VECTDIR%\AES\resp\OFBMCT192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB1MMT256.req" "%VECTDIR%\AES\resp\CFB1MMT256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\ECBGFSbox256.req" "%VECTDIR%\AES\resp\ECBGFSbox256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\OFBVarTxt256.req" "%VECTDIR%\AES\resp\OFBVarTxt256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\ECBKeySbox192.req" "%VECTDIR%\AES\resp\ECBKeySbox192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB1VarKey256.req" "%VECTDIR%\AES\resp\CFB1VarKey256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\ECBVarTxt128.req" "%VECTDIR%\AES\resp\ECBVarTxt128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB1VarTxt128.req" "%VECTDIR%\AES\resp\CFB1VarTxt128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\ECBMCT256.req" "%VECTDIR%\AES\resp\ECBMCT256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\OFBVarTxt192.req" "%VECTDIR%\AES\resp\OFBVarTxt192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CBCVarKey192.req" "%VECTDIR%\AES\resp\CBCVarKey192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB128VarKey128.req" "%VECTDIR%\AES\resp\CFB128VarKey128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB1VarKey192.req" "%VECTDIR%\AES\resp\CFB1VarKey192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CBCMMT256.req" "%VECTDIR%\AES\resp\CBCMMT256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\OFBMCT256.req" "%VECTDIR%\AES\resp\OFBMCT256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CBCKeySbox128.req" "%VECTDIR%\AES\resp\CBCKeySbox128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\ECBKeySbox128.req" "%VECTDIR%\AES\resp\ECBKeySbox128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB1GFSbox128.req" "%VECTDIR%\AES\resp\CFB1GFSbox128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CBCVarKey256.req" "%VECTDIR%\AES\resp\CBCVarKey256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB8MCT256.req" "%VECTDIR%\AES\resp\CFB8MCT256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB128MMT128.req" "%VECTDIR%\AES\resp\CFB128MMT128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\ECBMCT192.req" "%VECTDIR%\AES\resp\ECBMCT192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\ECBGFSbox128.req" "%VECTDIR%\AES\resp\ECBGFSbox128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CBCVarTxt128.req" "%VECTDIR%\AES\resp\CBCVarTxt128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB128VarTxt256.req" "%VECTDIR%\AES\resp\CFB128VarTxt256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB8VarTxt192.req" "%VECTDIR%\AES\resp\CFB8VarTxt192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\OFBVarKey128.req" "%VECTDIR%\AES\resp\OFBVarKey128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB128MCT192.req" "%VECTDIR%\AES\resp\CFB128MCT192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\OFBMMT192.req" "%VECTDIR%\AES\resp\OFBMMT192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CBCGFSbox128.req" "%VECTDIR%\AES\resp\CBCGFSbox128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CBCGFSbox256.req" "%VECTDIR%\AES\resp\CBCGFSbox256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\ECBMMT128.req" "%VECTDIR%\AES\resp\ECBMMT128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB128VarKey192.req" "%VECTDIR%\AES\resp\CFB128VarKey192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB8VarKey192.req" "%VECTDIR%\AES\resp\CFB8VarKey192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB128GFSbox256.req" "%VECTDIR%\AES\resp\CFB128GFSbox256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB128VarTxt192.req" "%VECTDIR%\AES\resp\CFB128VarTxt192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CBCVarTxt192.req" "%VECTDIR%\AES\resp\CBCVarTxt192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB8KeySbox128.req" "%VECTDIR%\AES\resp\CFB8KeySbox128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB8VarTxt128.req" "%VECTDIR%\AES\resp\CFB8VarTxt128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB128MMT192.req" "%VECTDIR%\AES\resp\CFB128MMT192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\OFBMMT256.req" "%VECTDIR%\AES\resp\OFBMMT256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB1KeySbox256.req" "%VECTDIR%\AES\resp\CFB1KeySbox256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB8MMT128.req" "%VECTDIR%\AES\resp\CFB8MMT128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\ECBVarTxt192.req" "%VECTDIR%\AES\resp\ECBVarTxt192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\OFBMMT128.req" "%VECTDIR%\AES\resp\OFBMMT128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB1MMT192.req" "%VECTDIR%\AES\resp\CFB1MMT192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB8VarTxt256.req" "%VECTDIR%\AES\resp\CFB8VarTxt256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\OFBVarTxt128.req" "%VECTDIR%\AES\resp\OFBVarTxt128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB128GFSbox192.req" "%VECTDIR%\AES\resp\CFB128GFSbox192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB1MCT192.req" "%VECTDIR%\AES\resp\CFB1MCT192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\OFBGFSbox128.req" "%VECTDIR%\AES\resp\OFBGFSbox128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CBCMCT128.req" "%VECTDIR%\AES\resp\CBCMCT128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB1VarTxt192.req" "%VECTDIR%\AES\resp\CFB1VarTxt192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB8GFSbox128.req" "%VECTDIR%\AES\resp\CFB8GFSbox128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB128MCT128.req" "%VECTDIR%\AES\resp\CFB128MCT128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\ECBVarKey256.req" "%VECTDIR%\AES\resp\ECBVarKey256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CBCKeySbox256.req" "%VECTDIR%\AES\resp\CBCKeySbox256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CBCMMT192.req" "%VECTDIR%\AES\resp\CBCMMT192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\OFBVarKey256.req" "%VECTDIR%\AES\resp\OFBVarKey256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CBCKeySbox192.req" "%VECTDIR%\AES\resp\CBCKeySbox192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB128KeySbox128.req" "%VECTDIR%\AES\resp\CFB128KeySbox128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\ECBMMT192.req" "%VECTDIR%\AES\resp\ECBMMT192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CBCMCT192.req" "%VECTDIR%\AES\resp\CBCMCT192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\ECBVarTxt256.req" "%VECTDIR%\AES\resp\ECBVarTxt256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB8GFSbox256.req" "%VECTDIR%\AES\resp\CFB8GFSbox256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CBCGFSbox192.req" "%VECTDIR%\AES\resp\CBCGFSbox192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\ECBVarKey192.req" "%VECTDIR%\AES\resp\ECBVarKey192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CBCMMT128.req" "%VECTDIR%\AES\resp\CBCMMT128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB128KeySbox192.req" "%VECTDIR%\AES\resp\CFB128KeySbox192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB128VarKey256.req" "%VECTDIR%\AES\resp\CFB128VarKey256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB8MMT256.req" "%VECTDIR%\AES\resp\CFB8MMT256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\ECBKeySbox256.req" "%VECTDIR%\AES\resp\ECBKeySbox256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\OFBGFSbox192.req" "%VECTDIR%\AES\resp\OFBGFSbox192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CBCMCT256.req" "%VECTDIR%\AES\resp\CBCMCT256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB1KeySbox128.req" "%VECTDIR%\AES\resp\CFB1KeySbox128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB128MMT256.req" "%VECTDIR%\AES\resp\CFB128MMT256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB8VarKey128.req" "%VECTDIR%\AES\resp\CFB8VarKey128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB1MCT128.req" "%VECTDIR%\AES\resp\CFB1MCT128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\ECBVarKey128.req" "%VECTDIR%\AES\resp\ECBVarKey128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB1MMT128.req" "%VECTDIR%\AES\resp\CFB1MMT128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\OFBKeySbox128.req" "%VECTDIR%\AES\resp\OFBKeySbox128.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\ECBMMT256.req" "%VECTDIR%\AES\resp\ECBMMT256.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB8MCT192.req" "%VECTDIR%\AES\resp\CFB8MCT192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\CFB1KeySbox192.req" "%VECTDIR%\AES\resp\CFB1KeySbox192.rsp"
fips_aesavs.exe -f "%VECTDIR%\AES\req\OFBGFSbox256.req" "%VECTDIR%\AES\resp\OFBGFSbox256.rsp"

echo "Running DSA..."
fips_dssvs.exe siggen "%VECTDIR%\DSA\req\SigGen.req" "%VECTDIR%\DSA\resp\SigGen.rsp"
fips_dssvs.exe pqg "%VECTDIR%\DSA\req\PQGGen.req" "%VECTDIR%\DSA\resp\PQGGen.rsp"
fips_dssvs.exe sigver "%VECTDIR%\DSA\req\SigVer.req" "%VECTDIR%\DSA\resp\SigVer.rsp"
fips_dssvs.exe pqgver "%VECTDIR%\DSA\req\PQGVer.req" "%VECTDIR%\DSA\resp\PQGVer.rsp"
fips_dssvs.exe keypair "%VECTDIR%\DSA\req\KeyPair.req" "%VECTDIR%\DSA\resp\KeyPair.rsp"

echo "Running HMAC..."
fips_hmactest.exe "%VECTDIR%\HMAC\req\HMAC.req" "%VECTDIR%\HMAC\resp\HMAC.rsp"

echo "Running GCM..."
fips_gcmtest.exe -encrypt "%VECTDIR%\AES_GCM\req\gcmEncryptIntIV256.req" "%VECTDIR%\AES_GCM\resp\gcmEncryptIntIV256.rsp"
fips_gcmtest.exe -decrypt "%VECTDIR%\AES_GCM\req\gcmDecrypt256.req" "%VECTDIR%\AES_GCM\resp\gcmDecrypt256.rsp"
fips_gcmtest.exe -decrypt "%VECTDIR%\AES_GCM\req\gcmDecrypt192.req" "%VECTDIR%\AES_GCM\resp\gcmDecrypt192.rsp"
fips_gcmtest.exe -encrypt "%VECTDIR%\AES_GCM\req\gcmEncryptIntIV128.req" "%VECTDIR%\AES_GCM\resp\gcmEncryptIntIV128.rsp"
fips_gcmtest.exe -encrypt "%VECTDIR%\AES_GCM\req\gcmEncryptIntIV192.req" "%VECTDIR%\AES_GCM\resp\gcmEncryptIntIV192.rsp"
fips_gcmtest.exe -decrypt "%VECTDIR%\AES_GCM\req\gcmDecrypt128.req" "%VECTDIR%\AES_GCM\resp\gcmDecrypt128.rsp"

echo "Running KAS..."
fips_ecdhvs.exe ecdhgen "%VECTDIR%\KAS\req\KAS_ECC_CDH_PrimitiveTest.req" "%VECTDIR%\KAS\resp\KAS_ECC_CDH_PrimitiveTest.rsp"

echo "Running SHA..."
fips_shatest.exe "%VECTDIR%\SHA\req\SHA384ShortMsg.req" "%VECTDIR%\SHA\resp\SHA384ShortMsg.rsp"
fips_shatest.exe "%VECTDIR%\SHA\req\SHA1LongMsg.req" "%VECTDIR%\SHA\resp\SHA1LongMsg.rsp"
fips_shatest.exe "%VECTDIR%\SHA\req\SHA512Monte.req" "%VECTDIR%\SHA\resp\SHA512Monte.rsp"
fips_shatest.exe "%VECTDIR%\SHA\req\SHA1Monte.req" "%VECTDIR%\SHA\resp\SHA1Monte.rsp"
fips_shatest.exe "%VECTDIR%\SHA\req\SHA384Monte.req" "%VECTDIR%\SHA\resp\SHA384Monte.rsp"
fips_shatest.exe "%VECTDIR%\SHA\req\SHA256LongMsg.req" "%VECTDIR%\SHA\resp\SHA256LongMsg.rsp"
fips_shatest.exe "%VECTDIR%\SHA\req\SHA384LongMsg.req" "%VECTDIR%\SHA\resp\SHA384LongMsg.rsp"
fips_shatest.exe "%VECTDIR%\SHA\req\SHA224LongMsg.req" "%VECTDIR%\SHA\resp\SHA224LongMsg.rsp"
fips_shatest.exe "%VECTDIR%\SHA\req\SHA1ShortMsg.req" "%VECTDIR%\SHA\resp\SHA1ShortMsg.rsp"
fips_shatest.exe "%VECTDIR%\SHA\req\SHA512LongMsg.req" "%VECTDIR%\SHA\resp\SHA512LongMsg.rsp"
fips_shatest.exe "%VECTDIR%\SHA\req\SHA224ShortMsg.req" "%VECTDIR%\SHA\resp\SHA224ShortMsg.rsp"
fips_shatest.exe "%VECTDIR%\SHA\req\SHA224Monte.req" "%VECTDIR%\SHA\resp\SHA224Monte.rsp"
fips_shatest.exe "%VECTDIR%\SHA\req\SHA256Monte.req" "%VECTDIR%\SHA\resp\SHA256Monte.rsp"
fips_shatest.exe "%VECTDIR%\SHA\req\SHA512ShortMsg.req" "%VECTDIR%\SHA\resp\SHA512ShortMsg.rsp"
fips_shatest.exe "%VECTDIR%\SHA\req\SHA256ShortMsg.req" "%VECTDIR%\SHA\resp\SHA256ShortMsg.rsp"

echo "Running TDES..."
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TECBMonte1.req" "%VECTDIR%\TDES\resp\TECBMonte1.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB1MMT1.req" "%VECTDIR%\TDES\resp\TCFB1MMT1.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB64subtab.req" "%VECTDIR%\TDES\resp\TCFB64subtab.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB64vartext.req" "%VECTDIR%\TDES\resp\TCFB64vartext.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB8permop.req" "%VECTDIR%\TDES\resp\TCFB8permop.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCBCMMT1.req" "%VECTDIR%\TDES\resp\TCBCMMT1.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TOFBvartext.req" "%VECTDIR%\TDES\resp\TOFBvartext.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB1Monte1.req" "%VECTDIR%\TDES\resp\TCFB1Monte1.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB64MMT3.req" "%VECTDIR%\TDES\resp\TCFB64MMT3.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB64Monte2.req" "%VECTDIR%\TDES\resp\TCFB64Monte2.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCBCpermop.req" "%VECTDIR%\TDES\resp\TCBCpermop.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB64Monte3.req" "%VECTDIR%\TDES\resp\TCFB64Monte3.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCBCMMT2.req" "%VECTDIR%\TDES\resp\TCBCMMT2.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB8Monte1.req" "%VECTDIR%\TDES\resp\TCFB8Monte1.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB8Monte2.req" "%VECTDIR%\TDES\resp\TCFB8Monte2.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TOFBMMT3.req" "%VECTDIR%\TDES\resp\TOFBMMT3.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB64MMT1.req" "%VECTDIR%\TDES\resp\TCFB64MMT1.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB8Monte3.req" "%VECTDIR%\TDES\resp\TCFB8Monte3.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB64MMT2.req" "%VECTDIR%\TDES\resp\TCFB64MMT2.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB64permop.req" "%VECTDIR%\TDES\resp\TCFB64permop.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB1permop.req" "%VECTDIR%\TDES\resp\TCFB1permop.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCBCvartext.req" "%VECTDIR%\TDES\resp\TCBCvartext.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCBCvarkey.req" "%VECTDIR%\TDES\resp\TCBCvarkey.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TOFBMonte3.req" "%VECTDIR%\TDES\resp\TOFBMonte3.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB8varkey.req" "%VECTDIR%\TDES\resp\TCFB8varkey.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB1MMT3.req" "%VECTDIR%\TDES\resp\TCFB1MMT3.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB1Monte2.req" "%VECTDIR%\TDES\resp\TCFB1Monte2.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB1vartext.req" "%VECTDIR%\TDES\resp\TCFB1vartext.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TOFBMMT1.req" "%VECTDIR%\TDES\resp\TOFBMMT1.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TECBMonte2.req" "%VECTDIR%\TDES\resp\TECBMonte2.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TECBMMT3.req" "%VECTDIR%\TDES\resp\TECBMMT3.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TOFBinvperm.req" "%VECTDIR%\TDES\resp\TOFBinvperm.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB8vartext.req" "%VECTDIR%\TDES\resp\TCFB8vartext.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TECBpermop.req" "%VECTDIR%\TDES\resp\TECBpermop.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB64Monte1.req" "%VECTDIR%\TDES\resp\TCFB64Monte1.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCBCMonte3.req" "%VECTDIR%\TDES\resp\TCBCMonte3.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TECBinvperm.req" "%VECTDIR%\TDES\resp\TECBinvperm.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TECBvartext.req" "%VECTDIR%\TDES\resp\TECBvartext.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TECBMonte3.req" "%VECTDIR%\TDES\resp\TECBMonte3.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCBCMMT3.req" "%VECTDIR%\TDES\resp\TCBCMMT3.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCBCsubtab.req" "%VECTDIR%\TDES\resp\TCBCsubtab.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TOFBvarkey.req" "%VECTDIR%\TDES\resp\TOFBvarkey.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB8MMT3.req" "%VECTDIR%\TDES\resp\TCFB8MMT3.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB8invperm.req" "%VECTDIR%\TDES\resp\TCFB8invperm.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCBCMonte2.req" "%VECTDIR%\TDES\resp\TCBCMonte2.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TOFBMonte1.req" "%VECTDIR%\TDES\resp\TOFBMonte1.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCBCinvperm.req" "%VECTDIR%\TDES\resp\TCBCinvperm.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TOFBpermop.req" "%VECTDIR%\TDES\resp\TOFBpermop.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCBCMonte1.req" "%VECTDIR%\TDES\resp\TCBCMonte1.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB1MMT2.req" "%VECTDIR%\TDES\resp\TCFB1MMT2.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB8MMT2.req" "%VECTDIR%\TDES\resp\TCFB8MMT2.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB64invperm.req" "%VECTDIR%\TDES\resp\TCFB64invperm.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TECBMMT2.req" "%VECTDIR%\TDES\resp\TECBMMT2.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB64varkey.req" "%VECTDIR%\TDES\resp\TCFB64varkey.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TOFBsubtab.req" "%VECTDIR%\TDES\resp\TOFBsubtab.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TECBvarkey.req" "%VECTDIR%\TDES\resp\TECBvarkey.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB8MMT1.req" "%VECTDIR%\TDES\resp\TCFB8MMT1.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB1Monte3.req" "%VECTDIR%\TDES\resp\TCFB1Monte3.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB1subtab.req" "%VECTDIR%\TDES\resp\TCFB1subtab.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TECBsubtab.req" "%VECTDIR%\TDES\resp\TECBsubtab.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB8subtab.req" "%VECTDIR%\TDES\resp\TCFB8subtab.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TECBMMT1.req" "%VECTDIR%\TDES\resp\TECBMMT1.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB1varkey.req" "%VECTDIR%\TDES\resp\TCFB1varkey.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TOFBMonte2.req" "%VECTDIR%\TDES\resp\TOFBMonte2.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TOFBMMT2.req" "%VECTDIR%\TDES\resp\TOFBMMT2.rsp"
fips_desmovs.exe -f "%VECTDIR%\TDES\req\TCFB1invperm.req" "%VECTDIR%\TDES\resp\TCFB1invperm.rsp"



echo "ECDSA SigGen..."
fips_ecdsavs.exe SigGen "%VECTDIR%\ECDSA2\req\SigGen.req" "%VECTDIR%\ECDSA2\resp\SigGen.rsp"
echo "ECDSA PKV..."
fips_ecdsavs.exe PKV "%VECTDIR%\ECDSA2\req\PKV.req" "%VECTDIR%\ECDSA2\resp\PKV.rsp"
echo "ECDSA SigVer..."
fips_ecdsavs.exe SigVer "%VECTDIR%\ECDSA2\req\SigVer.req" "%VECTDIR%\ECDSA2\resp\SigVer.rsp"
echo "ECDSA KeyPair..."
fips_ecdsavs.exe KeyPair "%VECTDIR%\ECDSA2\req\KeyPair.req" "%VECTDIR%\ECDSA2\resp\KeyPair.rsp"



